librime: rime::Engine Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
rime::Engine Class Reference

`#include <engine.h>`

Inheritance diagram for rime::Engine:
[legend]
Collaboration diagram for rime::Engine:
[legend]

## Public Types
using | CommitSink = signal<void(const string& commit_text)>
Public Types inherited from rime::Messenger
using | MessageSink

## Public Member Functions
virtual | ~Engine ()
virtual bool | ProcessKey (const KeyEvent &key_event)
virtual void | ApplySchema (Schema *schema)
virtual void | CommitText (string text)
virtual void | Compose (Context *ctx)
Schema * | schema () const
Context * | context () const
CommitSink & | sink ()
Engine * | active_engine ()
void | set_active_engine (Engine *engine=nullptr)
Public Member Functions inherited from rime::Messenger
MessageSink & | message_sink ()

## Static Public Member Functions
static RIME_DLL Engine * | Create ()

## Protected Member Functions
| Engine ()

## Protected Attributes
the< Schema > | schema_
the< Context > | context_
CommitSink | sink_
Engine * | active_engine_ = nullptr
Protected Attributes inherited from rime::Messenger
MessageSink | message_sink_

## Member Typedef Documentation

## ◆ CommitSink

using rime::Engine::CommitSink = signal<void(const string& commit_text)>

## Constructor & Destructor Documentation

## ◆ ~Engine()

rime::Engine::~Engine | ( |  | ) |
| virtual

## ◆ Engine()

rime::Engine::Engine | ( |  | ) |
| protected

## Member Function Documentation

## ◆ active_engine()

Engine * rime::Engine::active_engine | ( |  | ) |
| inline

## ◆ ApplySchema()

virtual void rime::Engine::ApplySchema | ( | Schema * | schema | ) |
| inlinevirtual

Reimplemented in rime::ConcreteEngine.

## ◆ CommitText()

virtual void rime::Engine::CommitText | ( | string | text | ) |
| inlinevirtual

Reimplemented in rime::ConcreteEngine.

## ◆ Compose()

virtual void rime::Engine::Compose | ( | Context * | ctx | ) |
| inlinevirtual

Reimplemented in rime::ConcreteEngine.

## ◆ context()

Context * rime::Engine::context | ( |  | ) | const
| inline

## ◆ Create()

Engine * rime::Engine::Create | ( |  | ) |
| static

## ◆ ProcessKey()

virtual bool rime::Engine::ProcessKey | ( | const KeyEvent & | key_event | ) |
| inlinevirtual

Reimplemented in rime::ConcreteEngine, and rime::Switcher.

## ◆ schema()

Schema * rime::Engine::schema | ( |  | ) | const
| inline

## ◆ set_active_engine()

void rime::Engine::set_active_engine | ( | Engine * | engine = nullptr | ) |
| inline

## ◆ sink()

CommitSink & rime::Engine::sink | ( |  | ) |
| inline

## Member Data Documentation

## ◆ active_engine_

Engine* rime::Engine::active_engine_ = nullptr
| protected

## ◆ context_

the<Context> rime::Engine::context_
| protected

## ◆ schema_

the<Schema> rime::Engine::schema_
| protected

## ◆ sink_

CommitSink rime::Engine::sink_
| protected

The documentation for this class was generated from the following files:

- engine.h
- engine.cc